Vendor Detail
curl --request GET \
--url https://solarmoney.up.railway.app/api/vendors/{vendor_id}import requests
url = "https://solarmoney.up.railway.app/api/vendors/{vendor_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://solarmoney.up.railway.app/api/vendors/{vendor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"counties": [
"<string>"
],
"portfolioTitle": "<string>",
"portfolioMeta": "<string>",
"capacityKw": 123,
"rating": 123,
"reviewCount": 123,
"phone": "<string>",
"email": "<string>",
"tags": [
"<string>"
],
"approved": true,
"subscriptionStatus": "<string>",
"portfolios": [
{
"id": "<string>",
"title": "<string>",
"meta": "<string>",
"capacityKw": 123,
"isFeatured": true,
"completedYear": 123
}
],
"logoUrl": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Vendors
Vendor Detail
GET
/
api
/
vendors
/
{vendor_id}
Vendor Detail
curl --request GET \
--url https://solarmoney.up.railway.app/api/vendors/{vendor_id}import requests
url = "https://solarmoney.up.railway.app/api/vendors/{vendor_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://solarmoney.up.railway.app/api/vendors/{vendor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"counties": [
"<string>"
],
"portfolioTitle": "<string>",
"portfolioMeta": "<string>",
"capacityKw": 123,
"rating": 123,
"reviewCount": 123,
"phone": "<string>",
"email": "<string>",
"tags": [
"<string>"
],
"approved": true,
"subscriptionStatus": "<string>",
"portfolios": [
{
"id": "<string>",
"title": "<string>",
"meta": "<string>",
"capacityKw": 123,
"isFeatured": true,
"completedYear": 123
}
],
"logoUrl": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
